var a, t;

a = getApp(), t = require("../../utils/util.js"), Page({
    data: {
        list: a.globalData.sxdata,
        swidth: a.globalData.swidth,
        modalHidden: !1,
        showModalStatus: !1,
        mengshow: !1,
        bottom: "-100%",
        male: 1,
        female: 1,
        malecheck: 1,
        femalecheck: 1,
        maleclickid: 1,
        femaleclickid: 1
    },
    onLoad: function(a) {
        t.initdata(this, "sx");
    },
    showModal: function(a) {
        t.showModal(this);
    },
    cancel: function(a) {
        t.cancel(this);
    },
    setIcon: function(a) {
        t.setIcon(this, "sx");
    },
    scrollFun: function(a) {
        t.scrollFun(this, a);
    },
    clickIcon: function(a) {
        t.clickIcon(this, a);
    },
    pair: function(a) {
        var i = "sxpair_info?id=" + t.formatCxLink(4, [ this.data.male + 1, this.data.female + 1 ]);
        wx.navigateTo({
            url: i
        });
    },
    onShareAppMessage: function(a) {
        return "button" === a.from && console.log(a.target), {
            title: "生肖配对",
            path: "/pages/pair_sx/index"
        };
    }
});